Extending Qt Creator Manual | BaseFileFind

Extending Qt Creator Manual 4.5.2

# BaseFileFind Class

(TextEditor::BaseFileFind)

Inherits: | Core::IFindFilter

- List of all members, including inherited members

## Public Functions

| BaseFileFind()
| ~BaseFileFind()
void | addSearchEngine(SearchEngine *searchEngine)
virtual Utils::FileIterator * | files(const QStringList &nameFilters, const QStringList &exclusionFilters, const QVariant &additionalParameters) const = 0
void | findAll(const QString &txt, Core::FindFlags findFlags)
void | replaceAll(const QString &txt, Core::FindFlags findFlags)

## Reimplemented Public Functions

virtual bool | isEnabled() const
virtual bool | isReplaceSupported() const

- 13 public functions inherited from Core::IFindFilter

## Static Public Members

QStringList | replaceAll(const QString &txt, const QList<Core::SearchResultItem> &items, bool preserveCase = false)

- 2 static public members inherited from Core::IFindFilter

## Protected Functions

virtual QVariant | additionalParameters() const = 0
QFuture<Utils::FileSearchResultList> | executeSearch(const FileFindParameters &parameters)
virtual QString | label() const = 0
void | readCommonSettings(QSettings *settings, const QString &defaultFilter, const QString &defaultExclusionFilter)
virtual QString | toolTip() const = 0
void | writeCommonSettings(QSettings *settings)

## Static Protected Members

QVariant | getAdditionalParameters(Core::SearchResult *search)

### Additional Inherited Members

- 3 signals inherited from Core::IFindFilter

## Member Function Documentation

### BaseFileFind::BaseFileFind()

Default constructs an instance of BaseFileFind.

### BaseFileFind::~BaseFileFind()

Destroys the instance of BaseFileFind.

### void BaseFileFind::addSearchEngine(SearchEngine *searchEngine)

### `[pure virtual protected]` QVariant BaseFileFind::additionalParameters() const

### `[protected]` QFuture<Utils::FileSearchResultList> BaseFileFind::executeSearch(const FileFindParameters &parameters)

### `[pure virtual]` Utils::FileIterator *BaseFileFind::files(const QStringList &nameFilters, const QStringList &exclusionFilters, const QVariant &additionalParameters) const

### void BaseFileFind::findAll(const QString &txt, Core::FindFlags findFlags)

### `[static protected]` QVariant BaseFileFind::getAdditionalParameters(Core::SearchResult *search)

### `[virtual]` bool BaseFileFind::isEnabled() const

### `[virtual]` bool BaseFileFind::isReplaceSupported() const

### `[pure virtual protected]` QString BaseFileFind::label() const

### `[protected]` void BaseFileFind::readCommonSettings(QSettings *settings, const QString &defaultFilter, const QString &defaultExclusionFilter)

### void BaseFileFind::replaceAll(const QString &txt, Core::FindFlags findFlags)

### `[static]` QStringList BaseFileFind::replaceAll(const QString &txt, const QList<Core::SearchResultItem> &items, bool preserveCase = false)

### `[pure virtual protected]` QString BaseFileFind::toolTip() const

### `[protected]` void BaseFileFind::writeCommonSettings(QSettings *settings)